MessageLiteOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface MessageLiteOrBuilder

- All Known Subinterfaces:
    DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder, DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder, DescriptorProtos.DescriptorProtoOrBuilder, DescriptorProtos.EnumDescriptorProtoOrBuilder, DescriptorProtos.EnumOptionsOrBuilder, DescriptorProtos.EnumValueDescriptorProtoOrBuilder, DescriptorProtos.EnumValueOptionsOrBuilder, DescriptorProtos.FieldDescriptorProtoOrBuilder, DescriptorProtos.FieldOptionsOrBuilder, DescriptorProtos.FileDescriptorProtoOrBuilder, DescriptorProtos.FileDescriptorSetOrBuilder, DescriptorProtos.FileOptionsOrBuilder, DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder, DescriptorProtos.GeneratedCodeInfoOrBuilder, DescriptorProtos.MessageOptionsOrBuilder, DescriptorProtos.MethodDescriptorProtoOrBuilder, DescriptorProtos.MethodOptionsOrBuilder, DescriptorProtos.OneofDescriptorProtoOrBuilder, DescriptorProtos.OneofOptionsOrBuilder, DescriptorProtos.ServiceDescriptorProtoOrBuilder, DescriptorProtos.ServiceOptionsOrBuilder, DescriptorProtos.SourceCodeInfo.LocationOrBuilder, DescriptorProtos.SourceCodeInfoOrBuilder, DescriptorProtos.UninterpretedOption.NamePartOrBuilder, DescriptorProtos.UninterpretedOptionOrBuilder, GeneratedMessage.ExtendableMessageOrBuilder<MessageType>, GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType,BuilderType>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType>, Message, Message.Builder, MessageLite, MessageLite.Builder, MessageOrBuilder
  All Known Implementing Classes:
    AbstractMessage, AbstractMessage.Builder, AbstractMessageLite, AbstractMessageLite.Builder, DescriptorProtos.DescriptorProto, DescriptorProtos.DescriptorProto.Builder, DescriptorProtos.DescriptorProto.ExtensionRange, DescriptorProtos.DescriptorProto.ExtensionRange.Builder, DescriptorProtos.DescriptorProto.ReservedRange, DescriptorProtos.DescriptorProto.ReservedRange.Builder, DescriptorProtos.EnumDescriptorProto, DescriptorProtos.EnumDescriptorProto.Builder, DescriptorProtos.EnumOptions, DescriptorProtos.EnumOptions.Builder, DescriptorProtos.EnumValueDescriptorProto, DescriptorProtos.EnumValueDescriptorProto.Builder, DescriptorProtos.EnumValueOptions, DescriptorProtos.EnumValueOptions.Builder, DescriptorProtos.FieldDescriptorProto, DescriptorProtos.FieldDescriptorProto.Builder, DescriptorProtos.FieldOptions, DescriptorProtos.FieldOptions.Builder, DescriptorProtos.FileDescriptorProto, DescriptorProtos.FileDescriptorProto.Builder, DescriptorProtos.FileDescriptorSet, DescriptorProtos.FileDescriptorSet.Builder, DescriptorProtos.FileOptions, DescriptorProtos.FileOptions.Builder, DescriptorProtos.GeneratedCodeInfo, DescriptorProtos.GeneratedCodeInfo.Annotation, DescriptorProtos.GeneratedCodeInfo.Annotation.Builder, DescriptorProtos.GeneratedCodeInfo.Builder, DescriptorProtos.MessageOptions, DescriptorProtos.MessageOptions.Builder, DescriptorProtos.MethodDescriptorProto, DescriptorProtos.MethodDescriptorProto.Builder, DescriptorProtos.MethodOptions, DescriptorProtos.MethodOptions.Builder, DescriptorProtos.OneofDescriptorProto, DescriptorProtos.OneofDescriptorProto.Builder, DescriptorProtos.OneofOptions, DescriptorProtos.OneofOptions.Builder, DescriptorProtos.ServiceDescriptorProto, DescriptorProtos.ServiceDescriptorProto.Builder, DescriptorProtos.ServiceOptions, DescriptorProtos.ServiceOptions.Builder, DescriptorProtos.SourceCodeInfo, DescriptorProtos.SourceCodeInfo.Builder, DescriptorProtos.SourceCodeInfo.Location, DescriptorProtos.SourceCodeInfo.Location.Builder, DescriptorProtos.UninterpretedOption, DescriptorProtos.UninterpretedOption.Builder, DescriptorProtos.UninterpretedOption.NamePart, DescriptorProtos.UninterpretedOption.NamePart.Builder, DynamicMessage, DynamicMessage.Builder, GeneratedMessage, GeneratedMessage.Builder, GeneratedMessage.ExtendableBuilder, GeneratedMessage.ExtendableMessage, GeneratedMessageLite, GeneratedMessageLite.Builder, GeneratedMessageLite.ExtendableBuilder, GeneratedMessageLite.ExtendableMessage, GeneratedMessageV3, GeneratedMessageV3.Builder, GeneratedMessageV3.ExtendableBuilder, GeneratedMessageV3.ExtendableMessage, MapEntry, MapEntry.Builder, UnknownFieldSet, UnknownFieldSet.Builder

      public interface MessageLiteOrBuilder

  Base interface for methods common to `MessageLite` and `MessageLite.Builder` to provide type equivalency.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageLite` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.

- - ### Method Detail

    - #### getDefaultInstanceForType

          MessageLite getDefaultInstanceForType()

      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

    - #### isInitialized

          boolean isInitialized()

      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`